Update EcoLetter template
curl --request PUT \
--url https://api.creditor.younegotiate.com/communications/e-letter-templates/{template} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated EcoLetter",
"type": "e-letter",
"content": "<p>Updated secure EcoLetter body for [First Name].</p>"
}
'import requests
url = "https://api.creditor.younegotiate.com/communications/e-letter-templates/{template}"
payload = {
"name": "Updated EcoLetter",
"type": "e-letter",
"content": "<p>Updated secure EcoLetter body for [First Name].</p>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated EcoLetter',
type: 'e-letter',
content: '<p>Updated secure EcoLetter body for [First Name].</p>'
})
};
fetch('https://api.creditor.younegotiate.com/communications/e-letter-templates/{template}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "eLetter template updated.",
"data": {
"id": 123,
"owner_type": "App\\Models\\Creditor",
"owner_id": 123,
"company_id": 123,
"name": "Settlement EcoLetter",
"type": "e-letter",
"type_label": "Eco Letter",
"subject": "<string>",
"content": "<p>Hello [First Name], please review your secure EcoLetter.</p>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update EcoLetter template
Update an EcoLetter template without changing its type. Same-company creditor users may update shared company templates, matching current portal behavior.
PUT
/
communications
/
e-letter-templates
/
{template}
Update EcoLetter template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
EcoLetter template ID.
Body
application/json
Maximum string length:
255Example:
"Settlement EcoLetter"
HTML content for the EcoLetter template. Must include visible text.
Example:
"<p>Hello [First Name], please review your secure EcoLetter.</p>"
Optional on creditor requests. If provided, it must be e-letter.
Available options:
e-letter Last modified on July 20, 2026
Was this page helpful?
⌘I

